# File: ActionItemList.py
#
# Copyright (c) 2007 by Web Collective, Inc.
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

__author__ = """Derek Hoshiko <derekh@webcollective.coop>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.CollectiveGTD.config import *
from Products.CMFCore.permissions import View
from Products.CMFCore.utils import getToolByName

## Zope
from zope.interface import implements
from Products.CMFCore.utils import getToolByName

# CollectiveGTD
from Products.CollectiveGTD.interfaces import IActionItemList

#schema = Schema((
#),
#)

ActionItemList_schema = BaseFolderSchema.copy() #+ schema.copy()

class ActionItemList(BaseFolder):
    """ ActionItemList is a storage container for actual action items """
    security = ClassSecurityInfo()
    
    implements(IActionItemList)
    
    __implements__ = (getattr(BaseFolder,'__implements__',()),)

    _at_rename_after_creation = True

    schema = ActionItemList_schema

registerType(ActionItemList, PROJECTNAME)
