# Import the base test case classes
from Testing import ZopeTestCase as ztc
from Products.CMFPlone.tests import PloneTestCase
from Products.CollectiveGTD.config import ALLTYPES

# These must install cleanly, ZopeTestCase will take care of the others
ztc.installProduct('CollectiveGTD')

# Set up the Plone site used for the test fixture. The PRODUCTS are the products
# to install in the Plone site (as opposed to the products defined above, which
# are all products available to Zope in the test fixture)
PRODUCTS = ['CollectiveGTD']

PloneTestCase.setupPloneSite(products=PRODUCTS)

class CollectiveGTDTestCase(PloneTestCase.PloneTestCase):
    """Base class for integration tests for the 'collectivegtd' product. This may
    provide specific set-up and tear-down operations, or provide convenience
    methods.
    """
    def setupAllTypes(self):
        """Make one of each content type for testing"""
        
        self.portal.portal_types.ActionItemList.global_allow = True
        self.portal.portal_types.ActionItem.global_allow = True
        
        for t in ALLTYPES:
            self.folder.invokeFactory(t, t.lower())
    
