# Integration tests specific to content-types
#

import os, sys, email

if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Products.CollectiveGTD.tests import base
from Products.CMFCore.utils import getToolByName

# zope
from zope.interface.verify import verifyClass
from DateTime import DateTime
from zope.publisher.browser import TestRequest

# interfaces
from Products.ATContentTypes.interfaces import IATFolder, IATNewsItem

# content objects

class TestContentAddingEditing(base.CollectiveGTDTestCase):
    """ Ensure that our custom content objects are editable and correctly 
        registered via the component architecture with interfaces.
    """
    def afterSetUp(self):
        # add some content objects
        self.setupAllTypes()
        self.workflow_tool = self.portal.portal_workflow

    def testSetGetActionItem(self):
        """Our afterSetUp step confirms that we can add the actual 
           content-type.  Now we confirm its API for set/get.
        """
        # make sure it's there
        self.failUnless('actionitem' in self.folder.objectIds())
        
        # set a bunch of fields
        self.folder.actionitem.setTitle("""Title""")
        
        # get a bunch of the values
        self.assertEqual(self.folder.actionitem.Title(),"""Title""")
    
if  __name__ == '__main__':
    framework()

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestContentAddingEditing))
    return suite