#
# Test ActionItemQuickAdd functionality
#

__author__ = """Brian Gershon <briang@webcollective.coop>"""
__docformat__ = 'plaintext'

import os, sys, email

if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

from Products.CMFCore.utils import getToolByName
from DateTime import DateTime

from Products.CollectiveGTD.tests import base

# zope
from zope.interface.verify import verifyClass
from DateTime import DateTime
from AccessControl import Unauthorized
from Products.CMFPlone.utils import transaction
from zope.component import getUtility
from zope.schema.vocabulary import SimpleVocabulary

# interfaces
from Products.CollectiveGTD.interfaces import ICollectiveGTDUtility
#from Products.ATContentTypes.interfaces import IATFolder, IATNewsItem

# content objects
from Products.CollectiveGTD.content import ActionItem, ActionItemList

from zope.publisher.browser import TestRequest
from zope.component import getMultiAdapter

class TestUtilities(base.CollectiveGTDTestCase):
    """ Ensure that ActionItemList QuickAdd is working correctly.
    """

    def afterSetUp(self):
        self.workflow_tool = getToolByName(self.portal, 'portal_workflow')
        self.portal_catalog = getToolByName(self.portal, 'portal_catalog')
        self.portal.acl_users._doAddUser('manager', 'secret', ['Member', 'Manager'], [])
        
        # grab actionitemlist created in base.CollectiveGTDTestCase
        self.setupAllTypes()
        self.actionitemlist = self.folder.restrictedTraverse('actionitemlist')

    def testCollectiveGTDUtility(self):
        """ Test our vocabulary utility """

        request = TestRequest()
        request.RESPONSE = request.response

        utility = getUtility(ICollectiveGTDUtility)

        # create some content with Projects and Contexts
        # TODO: Create a view for updating ActionItems (instead of directly invoking?)
        self.actionitemlist.invokeFactory('ActionItem', id='my-actionitem-two',
                title="My ActionItem Two",
                tags=['context:office','project:Clean the office',],
                )
        self.actionitemlist.invokeFactory('ActionItem', id='my-actionitem-one',
                title="My ActionItem One",
                tags=['context:home','project:Acme Plone Widget',],
                )

        projects = utility.getProjects(self.portal)
        contexts = utility.getContexts(self.portal)

        # should return two projects, sorted alphabetically (with none for first one)
        self.failUnless(len(projects) == 2, 'Not all Projects were returned')
        self.failUnless(projects[0][0] == 'project:acme-plone-widget', 'bad value')
        self.failUnless(projects[1][0] == 'project:clean-the-office', 'bad value')
        self.failUnless(projects[0][1] == u'Acme Plone Widget', 'bad value')
        self.failUnless(projects[1][1] == u'Clean the office', 'bad value')

        # should return two projects, sorted alphabetically (with none for first one)
        self.failUnless(len(contexts) == 2, 'Not all Contexts were returned')
        self.failUnless(contexts[0][0] == 'context:home', 'bad value')
        self.failUnless(contexts[1][0] == 'context:office', 'bad value')
        self.failUnless(contexts[0][1] == u'home', 'bad value')
        self.failUnless(contexts[1][1] == u'office', 'bad value')

if  __name__ == '__main__':
    framework()

def test_suite():
    from unittest import TestSuite, makeSuite
    suite = TestSuite()
    suite.addTest(makeSuite(TestUtilities))
    return suite
